Pimics Publication API OData specification
apicategoryroutes.apicategoryroutes
apicategoryroutes.apicategoryroutes.ListApicategoryroutes
Get entities from apicategoryroutes
Request
GET /apicategoryroutes[?$top&$skip&$search&$filter&$count&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved entities |
|
| default | odata.error | error |
apicategoryroutes.apicategoryroutes.GetApicategoryroutes
Get entity from apicategoryroutes by key
Request
GET /apicategoryroutes({route})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *route | key: route of apicategoryroutes |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved entity |
|
| default | odata.error | error |
categories.category
categories.category.ListCategory
Get entities from categories
Request
GET /categories[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved entities |
|
| default | odata.error | error |
categories.category.GetCategory
Get entity from categories by key
Request
GET /categories({id})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved entity |
|
| default | odata.error | error |
categories.category.GetMainPictureSource
Get media content for category from categories
Request
GET /categories({id})/mainPictureSource
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | string | Retrieved media content |
|
| default | odata.error | error |
categories.content
categories.ListContents
Get contents from categories
Request
GET /categories({id})/contents[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved navigation property |
|
| default | odata.error | error |
categories.CreateContents
Create new navigation property to contents for categories
Request
POST /categories({id})/contents
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *body |
|
New navigation property |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created navigation property. |
|
| default | odata.error | error |
categories.GetContents
Get contents from categories
Request
GET /categories({id})/contents({id1})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *id1 | key: id of content |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
categories.UpdateContents
Update the navigation property contents in categories
Request
PATCH /categories({id})/contents({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *id1 | key: id of content |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
categories.DeleteContents
Delete navigation property contents for categories
Request
DELETE /categories({id})/contents({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *id1 | key: id of content |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
categories.defaultTranslation
categories.ListDefaultTranslations
Get defaultTranslations from categories
Request
GET /categories({id})/defaultTranslations[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved navigation property |
|
| default | odata.error | error |
categories.CreateDefaultTranslations
Create new navigation property to defaultTranslations for categories
Request
POST /categories({id})/defaultTranslations
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *body |
|
New navigation property |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created navigation property. |
|
| default | odata.error | error |
categories.GetDefaultTranslations
Get defaultTranslations from categories
Request
GET /categories({id})/defaultTranslations(lineGuid={lineGuid},lang={lang})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *lineGuid | key: lineGuid of defaultTranslation |
||
| *lang | key: lang of defaultTranslation |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
categories.UpdateDefaultTranslations
Update the navigation property defaultTranslations in categories
Request
PATCH /categories({id})/defaultTranslations(lineGuid={lineGuid},lang={lang})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *lineGuid | key: lineGuid of defaultTranslation |
||
| *lang | key: lang of defaultTranslation |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
categories.DeleteDefaultTranslations
Delete navigation property defaultTranslations for categories
Request
DELETE /categories({id})/defaultTranslations(lineGuid={lineGuid},lang={lang})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *lineGuid | key: lineGuid of defaultTranslation |
||
| *lang | key: lang of defaultTranslation |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
categories.document
categories.ListDocuments
Get documents from categories
Request
GET /categories({id})/documents[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved navigation property |
|
| default | odata.error | error |
categories.CreateDocuments
Create new navigation property to documents for categories
Request
POST /categories({id})/documents
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *body |
|
New navigation property |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created navigation property. |
|
| default | odata.error | error |
categories.GetDocuments
Get documents from categories
Request
GET /categories({id})/documents({id1})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *id1 | key: id of document |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
categories.UpdateDocuments
Update the navigation property documents in categories
Request
PATCH /categories({id})/documents({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *id1 | key: id of document |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
categories.DeleteDocuments
Delete navigation property documents for categories
Request
DELETE /categories({id})/documents({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *id1 | key: id of document |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
categories.documentSource
categories.ListDocumentsSources
Get documentsSources from categories
Request
GET /categories({id})/documentsSources[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved navigation property |
|
| default | odata.error | error |
categories.CreateDocumentsSources
Create new navigation property to documentsSources for categories
Request
POST /categories({id})/documentsSources
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *body |
|
New navigation property |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created navigation property. |
|
| default | odata.error | error |
categories.GetDocumentsSources
Get documentsSources from categories
Request
GET /categories({id})/documentsSources({id1})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *id1 | key: id of documentSource |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
categories.UpdateDocumentsSources
Update the navigation property documentsSources in categories
Request
PATCH /categories({id})/documentsSources({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *id1 | key: id of documentSource |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
categories.DeleteDocumentsSources
Delete navigation property documentsSources for categories
Request
DELETE /categories({id})/documentsSources({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *id1 | key: id of documentSource |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
categories.feature
categories.ListFeatures
Get features from categories
Request
GET /categories({id})/features[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved navigation property |
|
| default | odata.error | error |
categories.CreateFeatures
Create new navigation property to features for categories
Request
POST /categories({id})/features
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *body |
|
New navigation property |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created navigation property. |
|
| default | odata.error | error |
categories.GetFeatures
Get features from categories
Request
GET /categories({id})/features({id1})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *id1 | key: id of feature |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
categories.UpdateFeatures
Update the navigation property features in categories
Request
PATCH /categories({id})/features({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *id1 | key: id of feature |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
categories.DeleteFeatures
Delete navigation property features for categories
Request
DELETE /categories({id})/features({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *id1 | key: id of feature |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
categories.item
categories.ListItems
Get items from categories
Request
GET /categories({id})/items[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved navigation property |
|
| default | odata.error | error |
categories.CreateItems
Create new navigation property to items for categories
Request
POST /categories({id})/items
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *body |
|
New navigation property |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created navigation property. |
|
| default | odata.error | error |
categories.GetItems
Get items from categories
Request
GET /categories({id})/items({id1})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *id1 | key: id of item |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
categories.UpdateItems
Update the navigation property items in categories
Request
PATCH /categories({id})/items({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *id1 | key: id of item |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
categories.DeleteItems
Delete navigation property items for categories
Request
DELETE /categories({id})/items({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *id1 | key: id of item |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
categories.GetItemsMainPictureSource
Get media content for the navigation property items from categories
Request
GET /categories({id})/items({id1})/mainPictureSource
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *id1 | key: id of item |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | string | Retrieved media content |
|
| default | odata.error | error |
categories.keyword
categories.ListKeywords
Get keywords from categories
Request
GET /categories({id})/keywords[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved navigation property |
|
| default | odata.error | error |
categories.CreateKeywords
Create new navigation property to keywords for categories
Request
POST /categories({id})/keywords
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *body |
|
New navigation property |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created navigation property. |
|
| default | odata.error | error |
categories.GetKeywords
Get keywords from categories
Request
GET /categories({id})/keywords({id1})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *id1 | key: id of keyword |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
categories.UpdateKeywords
Update the navigation property keywords in categories
Request
PATCH /categories({id})/keywords({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *id1 | key: id of keyword |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
categories.DeleteKeywords
Delete navigation property keywords for categories
Request
DELETE /categories({id})/keywords({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *id1 | key: id of keyword |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
categories.reference
categories.ListReferences
Get references from categories
Request
GET /categories({id})/references[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved navigation property |
|
| default | odata.error | error |
categories.CreateReferences
Create new navigation property to references for categories
Request
POST /categories({id})/references
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *body |
|
New navigation property |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created navigation property. |
|
| default | odata.error | error |
categories.GetReferences
Get references from categories
Request
GET /categories({id})/references({id1})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *id1 | key: id of reference |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
categories.UpdateReferences
Update the navigation property references in categories
Request
PATCH /categories({id})/references({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *id1 | key: id of reference |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
categories.DeleteReferences
Delete navigation property references for categories
Request
DELETE /categories({id})/references({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *id1 | key: id of reference |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
categories.text
categories.ListTexts
Get texts from categories
Request
GET /categories({id})/texts[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved navigation property |
|
| default | odata.error | error |
categories.CreateTexts
Create new navigation property to texts for categories
Request
POST /categories({id})/texts
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *body |
|
New navigation property |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created navigation property. |
|
| default | odata.error | error |
categories.GetTexts
Get texts from categories
Request
GET /categories({id})/texts({id1})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *id1 | key: id of text |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
categories.UpdateTexts
Update the navigation property texts in categories
Request
PATCH /categories({id})/texts({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *id1 | key: id of text |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
categories.DeleteTexts
Delete navigation property texts for categories
Request
DELETE /categories({id})/texts({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *id1 | key: id of text |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
categories.GetTextsSource
Get media content for the navigation property texts from categories
Request
GET /categories({id})/texts({id1})/source
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of category |
||
| *id1 | key: id of text |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | string | Retrieved media content |
|
| default | odata.error | error |
changedLines.changedLine
changedLines.changedLine.ListChangedLine
Get entities from changedLines
Request
GET /changedLines[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved entities |
|
| default | odata.error | error |
changedLines.changedLine.CreateChangedLine
Add new entity to changedLines
Request
POST /changedLines
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *body |
|
New entity |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created entity |
|
| default | odata.error | error |
changedLines.changedLine.GetChangedLine
Get entity from changedLines by key
Request
GET /changedLines({id})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of changedLine |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved entity |
|
| default | odata.error | error |
companies.company
companies.company.ListCompany
Get entities from companies
Request
GET /companies[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved entities |
|
| default | odata.error | error |
companies.company.GetCompany
Get entity from companies by key
Request
GET /companies({id})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved entity |
|
| default | odata.error | error |
companies.category
companies.ListCategories
Get categories from companies
Request
GET /companies({id})/categories[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved navigation property |
|
| default | odata.error | error |
companies.CreateCategories
Create new navigation property to categories for companies
Request
POST /companies({id})/categories
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *body |
|
New navigation property |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created navigation property. |
|
| default | odata.error | error |
companies.GetCategories
Get categories from companies
Request
GET /companies({id})/categories({id1})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of category |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
companies.UpdateCategories
Update the navigation property categories in companies
Request
PATCH /companies({id})/categories({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of category |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.DeleteCategories
Delete navigation property categories for companies
Request
DELETE /companies({id})/categories({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of category |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.GetCategoriesMainPictureSource
Get media content for the navigation property categories from companies
Request
GET /companies({id})/categories({id1})/mainPictureSource
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of category |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | string | Retrieved media content |
|
| default | odata.error | error |
companies.changedLine
companies.ListChangedLines
Get changedLines from companies
Request
GET /companies({id})/changedLines[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved navigation property |
|
| default | odata.error | error |
companies.CreateChangedLines
Create new navigation property to changedLines for companies
Request
POST /companies({id})/changedLines
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *body |
|
New navigation property |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created navigation property. |
|
| default | odata.error | error |
companies.GetChangedLines
Get changedLines from companies
Request
GET /companies({id})/changedLines({id1})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of changedLine |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
companies.UpdateChangedLines
Update the navigation property changedLines in companies
Request
PATCH /companies({id})/changedLines({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of changedLine |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.DeleteChangedLines
Delete navigation property changedLines for companies
Request
DELETE /companies({id})/changedLines({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of changedLine |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.content
companies.ListContents
Get contents from companies
Request
GET /companies({id})/contents[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved navigation property |
|
| default | odata.error | error |
companies.CreateContents
Create new navigation property to contents for companies
Request
POST /companies({id})/contents
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *body |
|
New navigation property |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created navigation property. |
|
| default | odata.error | error |
companies.GetContents
Get contents from companies
Request
GET /companies({id})/contents({id1})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of content |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
companies.UpdateContents
Update the navigation property contents in companies
Request
PATCH /companies({id})/contents({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of content |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.DeleteContents
Delete navigation property contents for companies
Request
DELETE /companies({id})/contents({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of content |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.defaultTranslation
companies.ListDefaultTranslations
Get defaultTranslations from companies
Request
GET /companies({id})/defaultTranslations[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved navigation property |
|
| default | odata.error | error |
companies.CreateDefaultTranslations
Create new navigation property to defaultTranslations for companies
Request
POST /companies({id})/defaultTranslations
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *body |
|
New navigation property |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created navigation property. |
|
| default | odata.error | error |
companies.GetDefaultTranslations
Get defaultTranslations from companies
Request
GET /companies({id})/defaultTranslations(lineGuid={lineGuid},lang={lang})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *lineGuid | key: lineGuid of defaultTranslation |
||
| *lang | key: lang of defaultTranslation |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
companies.UpdateDefaultTranslations
Update the navigation property defaultTranslations in companies
Request
PATCH /companies({id})/defaultTranslations(lineGuid={lineGuid},lang={lang})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *lineGuid | key: lineGuid of defaultTranslation |
||
| *lang | key: lang of defaultTranslation |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.DeleteDefaultTranslations
Delete navigation property defaultTranslations for companies
Request
DELETE /companies({id})/defaultTranslations(lineGuid={lineGuid},lang={lang})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *lineGuid | key: lineGuid of defaultTranslation |
||
| *lang | key: lang of defaultTranslation |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.deletedLine
companies.ListDeletedLines
Get deletedLines from companies
Request
GET /companies({id})/deletedLines[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved navigation property |
|
| default | odata.error | error |
companies.CreateDeletedLines
Create new navigation property to deletedLines for companies
Request
POST /companies({id})/deletedLines
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *body |
|
New navigation property |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created navigation property. |
|
| default | odata.error | error |
companies.GetDeletedLines
Get deletedLines from companies
Request
GET /companies({id})/deletedLines({logId})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *logId | key: logId of deletedLine |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
companies.UpdateDeletedLines
Update the navigation property deletedLines in companies
Request
PATCH /companies({id})/deletedLines({logId})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *logId | key: logId of deletedLine |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.DeleteDeletedLines
Delete navigation property deletedLines for companies
Request
DELETE /companies({id})/deletedLines({logId})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *logId | key: logId of deletedLine |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.document
companies.ListDocuments
Get documents from companies
Request
GET /companies({id})/documents[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved navigation property |
|
| default | odata.error | error |
companies.CreateDocuments
Create new navigation property to documents for companies
Request
POST /companies({id})/documents
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *body |
|
New navigation property |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created navigation property. |
|
| default | odata.error | error |
companies.GetDocuments
Get documents from companies
Request
GET /companies({id})/documents({id1})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of document |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
companies.UpdateDocuments
Update the navigation property documents in companies
Request
PATCH /companies({id})/documents({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of document |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.DeleteDocuments
Delete navigation property documents for companies
Request
DELETE /companies({id})/documents({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of document |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.documentSource
companies.ListDocumentsSources
Get documentsSources from companies
Request
GET /companies({id})/documentsSources[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved navigation property |
|
| default | odata.error | error |
companies.CreateDocumentsSources
Create new navigation property to documentsSources for companies
Request
POST /companies({id})/documentsSources
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *body |
|
New navigation property |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created navigation property. |
|
| default | odata.error | error |
companies.GetDocumentsSources
Get documentsSources from companies
Request
GET /companies({id})/documentsSources({id1})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of documentSource |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
companies.UpdateDocumentsSources
Update the navigation property documentsSources in companies
Request
PATCH /companies({id})/documentsSources({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of documentSource |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.DeleteDocumentsSources
Delete navigation property documentsSources for companies
Request
DELETE /companies({id})/documentsSources({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of documentSource |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.documentTranslation
companies.ListDocumentTranslations
Get documentTranslations from companies
Request
GET /companies({id})/documentTranslations[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved navigation property |
|
| default | odata.error | error |
companies.CreateDocumentTranslations
Create new navigation property to documentTranslations for companies
Request
POST /companies({id})/documentTranslations
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *body |
|
New navigation property |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created navigation property. |
|
| default | odata.error | error |
companies.GetDocumentTranslations
Get documentTranslations from companies
Request
GET /companies({id})/documentTranslations(lineGuid={lineGuid},lang={lang})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *lineGuid | key: lineGuid of documentTranslation |
||
| *lang | key: lang of documentTranslation |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
companies.UpdateDocumentTranslations
Update the navigation property documentTranslations in companies
Request
PATCH /companies({id})/documentTranslations(lineGuid={lineGuid},lang={lang})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *lineGuid | key: lineGuid of documentTranslation |
||
| *lang | key: lang of documentTranslation |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.DeleteDocumentTranslations
Delete navigation property documentTranslations for companies
Request
DELETE /companies({id})/documentTranslations(lineGuid={lineGuid},lang={lang})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *lineGuid | key: lineGuid of documentTranslation |
||
| *lang | key: lang of documentTranslation |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.feature
companies.ListFeatures
Get features from companies
Request
GET /companies({id})/features[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved navigation property |
|
| default | odata.error | error |
companies.CreateFeatures
Create new navigation property to features for companies
Request
POST /companies({id})/features
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *body |
|
New navigation property |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created navigation property. |
|
| default | odata.error | error |
companies.GetFeatures
Get features from companies
Request
GET /companies({id})/features({id1})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of feature |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
companies.UpdateFeatures
Update the navigation property features in companies
Request
PATCH /companies({id})/features({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of feature |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.DeleteFeatures
Delete navigation property features for companies
Request
DELETE /companies({id})/features({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of feature |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.featureValue
companies.ListFeaturesValues
Get featuresValues from companies
Request
GET /companies({id})/featuresValues[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved navigation property |
|
| default | odata.error | error |
companies.CreateFeaturesValues
Create new navigation property to featuresValues for companies
Request
POST /companies({id})/featuresValues
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *body |
|
New navigation property |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created navigation property. |
|
| default | odata.error | error |
companies.GetFeaturesValues
Get featuresValues from companies
Request
GET /companies({id})/featuresValues({id1})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of featureValue |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
companies.UpdateFeaturesValues
Update the navigation property featuresValues in companies
Request
PATCH /companies({id})/featuresValues({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of featureValue |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.DeleteFeaturesValues
Delete navigation property featuresValues for companies
Request
DELETE /companies({id})/featuresValues({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of featureValue |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.featureTranslation
companies.ListFeatureTranslations
Get featureTranslations from companies
Request
GET /companies({id})/featureTranslations[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved navigation property |
|
| default | odata.error | error |
companies.CreateFeatureTranslations
Create new navigation property to featureTranslations for companies
Request
POST /companies({id})/featureTranslations
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *body |
|
New navigation property |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created navigation property. |
|
| default | odata.error | error |
companies.GetFeatureTranslations
Get featureTranslations from companies
Request
GET /companies({id})/featureTranslations(lineGuid={lineGuid},lang={lang})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *lineGuid | key: lineGuid of featureTranslation |
||
| *lang | key: lang of featureTranslation |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
companies.UpdateFeatureTranslations
Update the navigation property featureTranslations in companies
Request
PATCH /companies({id})/featureTranslations(lineGuid={lineGuid},lang={lang})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *lineGuid | key: lineGuid of featureTranslation |
||
| *lang | key: lang of featureTranslation |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.DeleteFeatureTranslations
Delete navigation property featureTranslations for companies
Request
DELETE /companies({id})/featureTranslations(lineGuid={lineGuid},lang={lang})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *lineGuid | key: lineGuid of featureTranslation |
||
| *lang | key: lang of featureTranslation |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.featureValueSet
companies.ListFeatureValueSets
Get featureValueSets from companies
Request
GET /companies({id})/featureValueSets[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved navigation property |
|
| default | odata.error | error |
companies.CreateFeatureValueSets
Create new navigation property to featureValueSets for companies
Request
POST /companies({id})/featureValueSets
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *body |
|
New navigation property |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created navigation property. |
|
| default | odata.error | error |
companies.GetFeatureValueSets
Get featureValueSets from companies
Request
GET /companies({id})/featureValueSets({id1})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of featureValueSet |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
companies.UpdateFeatureValueSets
Update the navigation property featureValueSets in companies
Request
PATCH /companies({id})/featureValueSets({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of featureValueSet |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.DeleteFeatureValueSets
Delete navigation property featureValueSets for companies
Request
DELETE /companies({id})/featureValueSets({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of featureValueSet |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.htmlContent
companies.ListHtmlContents
Get htmlContents from companies
Request
GET /companies({id})/htmlContents[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved navigation property |
|
| default | odata.error | error |
companies.CreateHtmlContents
Create new navigation property to htmlContents for companies
Request
POST /companies({id})/htmlContents
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *body |
|
New navigation property |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created navigation property. |
|
| default | odata.error | error |
companies.GetHtmlContents
Get htmlContents from companies
Request
GET /companies({id})/htmlContents({id1})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of htmlContent |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
companies.UpdateHtmlContents
Update the navigation property htmlContents in companies
Request
PATCH /companies({id})/htmlContents({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of htmlContent |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.DeleteHtmlContents
Delete navigation property htmlContents for companies
Request
DELETE /companies({id})/htmlContents({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of htmlContent |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.item
companies.ListItems
Get items from companies
Request
GET /companies({id})/items[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved navigation property |
|
| default | odata.error | error |
companies.CreateItems
Create new navigation property to items for companies
Request
POST /companies({id})/items
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *body |
|
New navigation property |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created navigation property. |
|
| default | odata.error | error |
companies.GetItems
Get items from companies
Request
GET /companies({id})/items({id1})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of item |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
companies.UpdateItems
Update the navigation property items in companies
Request
PATCH /companies({id})/items({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of item |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.DeleteItems
Delete navigation property items for companies
Request
DELETE /companies({id})/items({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of item |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.GetItemsMainPictureSource
Get media content for the navigation property items from companies
Request
GET /companies({id})/items({id1})/mainPictureSource
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of item |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | string | Retrieved media content |
|
| default | odata.error | error |
companies.keyword
companies.ListKeywords
Get keywords from companies
Request
GET /companies({id})/keywords[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved navigation property |
|
| default | odata.error | error |
companies.CreateKeywords
Create new navigation property to keywords for companies
Request
POST /companies({id})/keywords
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *body |
|
New navigation property |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created navigation property. |
|
| default | odata.error | error |
companies.GetKeywords
Get keywords from companies
Request
GET /companies({id})/keywords({id1})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of keyword |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
companies.UpdateKeywords
Update the navigation property keywords in companies
Request
PATCH /companies({id})/keywords({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of keyword |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.DeleteKeywords
Delete navigation property keywords for companies
Request
DELETE /companies({id})/keywords({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of keyword |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.keywordTranslation
companies.ListKeywordTranslations
Get keywordTranslations from companies
Request
GET /companies({id})/keywordTranslations[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved navigation property |
|
| default | odata.error | error |
companies.CreateKeywordTranslations
Create new navigation property to keywordTranslations for companies
Request
POST /companies({id})/keywordTranslations
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *body |
|
New navigation property |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created navigation property. |
|
| default | odata.error | error |
companies.GetKeywordTranslations
Get keywordTranslations from companies
Request
GET /companies({id})/keywordTranslations(lineGuid={lineGuid},lang={lang})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *lineGuid | key: lineGuid of keywordTranslation |
||
| *lang | key: lang of keywordTranslation |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
companies.UpdateKeywordTranslations
Update the navigation property keywordTranslations in companies
Request
PATCH /companies({id})/keywordTranslations(lineGuid={lineGuid},lang={lang})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *lineGuid | key: lineGuid of keywordTranslation |
||
| *lang | key: lang of keywordTranslation |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.DeleteKeywordTranslations
Delete navigation property keywordTranslations for companies
Request
DELETE /companies({id})/keywordTranslations(lineGuid={lineGuid},lang={lang})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *lineGuid | key: lineGuid of keywordTranslation |
||
| *lang | key: lang of keywordTranslation |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.price
companies.ListPrices
Get prices from companies
Request
GET /companies({id})/prices[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved navigation property |
|
| default | odata.error | error |
companies.CreatePrices
Create new navigation property to prices for companies
Request
POST /companies({id})/prices
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *body |
|
New navigation property |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created navigation property. |
|
| default | odata.error | error |
companies.GetPrices
Get prices from companies
Request
GET /companies({id})/prices({id1})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of price |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
companies.UpdatePrices
Update the navigation property prices in companies
Request
PATCH /companies({id})/prices({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of price |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.DeletePrices
Delete navigation property prices for companies
Request
DELETE /companies({id})/prices({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of price |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.reference
companies.ListReferences
Get references from companies
Request
GET /companies({id})/references[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved navigation property |
|
| default | odata.error | error |
companies.CreateReferences
Create new navigation property to references for companies
Request
POST /companies({id})/references
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *body |
|
New navigation property |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created navigation property. |
|
| default | odata.error | error |
companies.GetReferences
Get references from companies
Request
GET /companies({id})/references({id1})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of reference |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
companies.UpdateReferences
Update the navigation property references in companies
Request
PATCH /companies({id})/references({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of reference |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.DeleteReferences
Delete navigation property references for companies
Request
DELETE /companies({id})/references({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of reference |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.text
companies.ListTexts
Get texts from companies
Request
GET /companies({id})/texts[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved navigation property |
|
| default | odata.error | error |
companies.CreateTexts
Create new navigation property to texts for companies
Request
POST /companies({id})/texts
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *body |
|
New navigation property |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created navigation property. |
|
| default | odata.error | error |
companies.GetTexts
Get texts from companies
Request
GET /companies({id})/texts({id1})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of text |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
companies.UpdateTexts
Update the navigation property texts in companies
Request
PATCH /companies({id})/texts({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of text |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.DeleteTexts
Delete navigation property texts for companies
Request
DELETE /companies({id})/texts({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of text |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.GetTextsSource
Get media content for the navigation property texts from companies
Request
GET /companies({id})/texts({id1})/source
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of text |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | string | Retrieved media content |
|
| default | odata.error | error |
companies.textTranslation
companies.ListTextTranslations
Get textTranslations from companies
Request
GET /companies({id})/textTranslations[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved navigation property |
|
| default | odata.error | error |
companies.CreateTextTranslations
Create new navigation property to textTranslations for companies
Request
POST /companies({id})/textTranslations
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *body |
|
New navigation property |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created navigation property. |
|
| default | odata.error | error |
companies.GetTextTranslations
Get textTranslations from companies
Request
GET /companies({id})/textTranslations(lineGuid={lineGuid},lang={lang})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *lineGuid | key: lineGuid of textTranslation |
||
| *lang | key: lang of textTranslation |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
companies.UpdateTextTranslations
Update the navigation property textTranslations in companies
Request
PATCH /companies({id})/textTranslations(lineGuid={lineGuid},lang={lang})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *lineGuid | key: lineGuid of textTranslation |
||
| *lang | key: lang of textTranslation |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.DeleteTextTranslations
Delete navigation property textTranslations for companies
Request
DELETE /companies({id})/textTranslations(lineGuid={lineGuid},lang={lang})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *lineGuid | key: lineGuid of textTranslation |
||
| *lang | key: lang of textTranslation |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.valueTranslation
companies.ListValueTranslations
Get valueTranslations from companies
Request
GET /companies({id})/valueTranslations[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved navigation property |
|
| default | odata.error | error |
companies.CreateValueTranslations
Create new navigation property to valueTranslations for companies
Request
POST /companies({id})/valueTranslations
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *body |
|
New navigation property |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created navigation property. |
|
| default | odata.error | error |
companies.GetValueTranslations
Get valueTranslations from companies
Request
GET /companies({id})/valueTranslations(type={type},code={code},variantCode={variantCode},lineNo={lineNo},no={no},lang={lang})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *type | key: type of valueTranslation |
||
| *code | key: code of valueTranslation |
||
| *variantCode | key: variantCode of valueTranslation |
||
| *lineNo | key: lineNo of valueTranslation |
||
| *no | key: no of valueTranslation |
||
| *lang | key: lang of valueTranslation |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
companies.UpdateValueTranslations
Update the navigation property valueTranslations in companies
Request
PATCH /companies({id})/valueTranslations(type={type},code={code},variantCode={variantCode},lineNo={lineNo},no={no},lang={lang})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *type | key: type of valueTranslation |
||
| *code | key: code of valueTranslation |
||
| *variantCode | key: variantCode of valueTranslation |
||
| *lineNo | key: lineNo of valueTranslation |
||
| *no | key: no of valueTranslation |
||
| *lang | key: lang of valueTranslation |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.DeleteValueTranslations
Delete navigation property valueTranslations for companies
Request
DELETE /companies({id})/valueTranslations(type={type},code={code},variantCode={variantCode},lineNo={lineNo},no={no},lang={lang})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *type | key: type of valueTranslation |
||
| *code | key: code of valueTranslation |
||
| *variantCode | key: variantCode of valueTranslation |
||
| *lineNo | key: lineNo of valueTranslation |
||
| *no | key: no of valueTranslation |
||
| *lang | key: lang of valueTranslation |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.variant
companies.ListVariants
Get variants from companies
Request
GET /companies({id})/variants[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved navigation property |
|
| default | odata.error | error |
companies.CreateVariants
Create new navigation property to variants for companies
Request
POST /companies({id})/variants
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *body |
|
New navigation property |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created navigation property. |
|
| default | odata.error | error |
companies.GetVariants
Get variants from companies
Request
GET /companies({id})/variants({id1})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of variant |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
companies.UpdateVariants
Update the navigation property variants in companies
Request
PATCH /companies({id})/variants({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of variant |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
companies.DeleteVariants
Delete navigation property variants for companies
Request
DELETE /companies({id})/variants({id1})
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of company |
||
| *id1 | key: id of variant |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
contents.content
contents.content.ListContent
Get entities from contents
Request
GET /contents[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved entities |
|
| default | odata.error | error |
contents.content.GetContent
Get entity from contents by key
Request
GET /contents({id})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of content |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved entity |
|
| default | odata.error | error |
contents.category
contents.GetCategory
Get category from contents
Request
GET /contents({id})/category[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of content |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
contents.UpdateCategory
Update the navigation property category in contents
Request
PATCH /contents({id})/category
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of content |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
contents.DeleteCategory
Delete navigation property category for contents
Request
DELETE /contents({id})/category
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of content |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
contents.GetCategoryMainPictureSource
Get media content for the navigation property category from contents
Request
GET /contents({id})/category/mainPictureSource
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of content |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | string | Retrieved media content |
|
| default | odata.error | error |
contents.item
contents.GetItem
Get item from contents
Request
GET /contents({id})/item[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of content |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
contents.UpdateItem
Update the navigation property item in contents
Request
PATCH /contents({id})/item
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of content |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
contents.DeleteItem
Delete navigation property item for contents
Request
DELETE /contents({id})/item
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of content |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
contents.GetItemMainPictureSource
Get media content for the navigation property item from contents
Request
GET /contents({id})/item/mainPictureSource
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *id | key: id of content |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | string | Retrieved media content |
|
| default | odata.error | error |
defaultTranslations.defaultTranslation
defaultTranslations.defaultTranslation.ListDefaultTranslation
Get entities from defaultTranslations
Request
GET /defaultTranslations[?$top&$skip&$search&$filter&$count&$orderby&$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| $top | Show only the first n items |
||
| $skip | Skip the first n items |
||
| $search | Search items by search phrases |
||
| $filter | Filter items by property values |
||
| $count | Include count of items |
||
| $orderby | Order items by property values |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | object | Retrieved entities |
|
| default | odata.error | error |
defaultTranslations.defaultTranslation.CreateDefaultTranslation
Add new entity to defaultTranslations
Request
POST /defaultTranslations
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *body |
|
New entity |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 201 |
|
Created entity |
|
| default | odata.error | error |
defaultTranslations.defaultTranslation.GetDefaultTranslation
Get entity from defaultTranslations by key
Request
GET /defaultTranslations(lineGuid={lineGuid},lang={lang})[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *lineGuid | key: lineGuid of defaultTranslation |
||
| *lang | key: lang of defaultTranslation |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved entity |
|
| default | odata.error | error |
defaultTranslations.category
defaultTranslations.GetCategory
Get category from defaultTranslations
Request
GET /defaultTranslations(lineGuid={lineGuid},lang={lang})/category[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *lineGuid | key: lineGuid of defaultTranslation |
||
| *lang | key: lang of defaultTranslation |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
defaultTranslations.UpdateCategory
Update the navigation property category in defaultTranslations
Request
PATCH /defaultTranslations(lineGuid={lineGuid},lang={lang})/category
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *lineGuid | key: lineGuid of defaultTranslation |
||
| *lang | key: lang of defaultTranslation |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
defaultTranslations.DeleteCategory
Delete navigation property category for defaultTranslations
Request
DELETE /defaultTranslations(lineGuid={lineGuid},lang={lang})/category
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *lineGuid | key: lineGuid of defaultTranslation |
||
| *lang | key: lang of defaultTranslation |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
defaultTranslations.GetCategoryMainPictureSource
Get media content for the navigation property category from defaultTranslations
Request
GET /defaultTranslations(lineGuid={lineGuid},lang={lang})/category/mainPictureSource
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *lineGuid | key: lineGuid of defaultTranslation |
||
| *lang | key: lang of defaultTranslation |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | string | Retrieved media content |
|
| default | odata.error | error |
defaultTranslations.item
defaultTranslations.GetItem
Get item from defaultTranslations
Request
GET /defaultTranslations(lineGuid={lineGuid},lang={lang})/item[?$select&$expand]
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *lineGuid | key: lineGuid of defaultTranslation |
||
| *lang | key: lang of defaultTranslation |
||
| $select | Select properties to be returned |
||
| $expand | Expand related entities |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 |
|
Retrieved navigation property |
|
| default | odata.error | error |
defaultTranslations.UpdateItem
Update the navigation property item in defaultTranslations
Request
PATCH /defaultTranslations(lineGuid={lineGuid},lang={lang})/item
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *lineGuid | key: lineGuid of defaultTranslation |
||
| *lang | key: lang of defaultTranslation |
||
| *body |
|
New navigation property values |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
defaultTranslations.DeleteItem
Delete navigation property item for defaultTranslations
Request
DELETE /defaultTranslations(lineGuid={lineGuid},lang={lang})/item
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *lineGuid | key: lineGuid of defaultTranslation |
||
| *lang | key: lang of defaultTranslation |
||
| If-Match | ETag |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 204 | Success |
||
| default | odata.error | error |
defaultTranslations.GetItemMainPictureSource
Get media content for the navigation property item from defaultTranslations
Request
GET /defaultTranslations(lineGuid={lineGuid},lang={lang})/item/mainPictureSource
Parameters
| Name | Type | Default | Notes |
|---|---|---|---|
| *lineGuid | key: lineGuid of defaultTranslation |
||
| *lang | key: lang of defaultTranslation |
Responses
| Status Code | Type | Description | Samples |
|---|---|---|---|
| 200 | string | Retrieved media content |
|
| default | odata.error | error |
[...]
